﻿<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:stylesheet  [
	<!ENTITY nbsp   "&#160;">
	<!ENTITY copy   "&#169;">
	<!ENTITY reg    "&#174;">
	<!ENTITY trade  "&#8482;">
	<!ENTITY mdash  "&#8212;">
	<!ENTITY ldquo  "&#8220;">
	<!ENTITY rdquo  "&#8221;"> 
	<!ENTITY pound  "&#163;">
	<!ENTITY yen    "&#165;">
	<!ENTITY euro   "&#8364;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:js="http://www.example.com/results" extension-element-prefixes="js msxsl">
<xsl:output method="html" encoding="utf-8"/>
<msxsl:script language="javascript" implements-prefix="js"> 
<![CDATA[
function random(){
	return Math.random();
}
]]>
</msxsl:script>

<xsl:template match="/">
<xsl:text disable-output-escaping='yes'>&lt;!DOCTYPE html&gt;</xsl:text>
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
		<title>学生清单</title>
		<script>
			function random(){
				return Math.random();
			}
		</script>
	</head>
	<body>
		<table border="1" cellpadding="5" cellspacing="0">
			<tr>
				<th>ID</th>
				<th>姓名</th>
				<th>年龄</th>
				<th>性别</th>
			</tr>
			<xsl:for-each select="/root/student">
				<tr>
					<td>
						<xsl:value-of select="@id"/>
					</td>
					<td>
						<xsl:value-of select="name"/>
					</td>
					<td>
						<xsl:value-of select="age"/>
					</td>
					<td>
						<xsl:choose>
							<xsl:when test="sex='male'">
								<xsl:value-of select="'男'"/>
							</xsl:when>
							<xsl:when test="sex='female'">
								<xsl:value-of select="'女'"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="'未知'"/>
							</xsl:otherwise>
						</xsl:choose>
					</td>
				</tr>
			</xsl:for-each>
		</table>
		
		Html页面脚本调用随机数：
		<script>
			document.write(random());
		</script>
		<br/>
		转换过程调用随机数（IE only）：<xsl:value-of select="js:random()" />
		<br/>
	</body>
</html>

</xsl:template>
</xsl:stylesheet>
